Loading...
Searching...
No Matches
Catch::Clara::Detail::LambdaInvoker< void > Struct Reference

`#include <catch_amalgamated.hpp>`

## Static Public Member Functions

template<typename L, typename ArgType>
static auto | invoke (L const &lambda, ArgType const &arg) -> ParserResult
static auto | invoke (L const &lambda, ArgType const &arg) -> ParserResult

## Member Function Documentation

## invoke() [1/2]

static auto Catch::Clara::Detail::LambdaInvoker< void >::invoke | ( | L const & | lambda,
|  | ArgType const & | arg )-> ParserResult

inlinestatic

## invoke() [2/2]

template<typename L, typename ArgType>

static auto Catch::Clara::Detail::LambdaInvoker< void >::invoke | ( | L const & | lambda,
|  | ArgType const & | arg ) -> ParserResult

inlinestatic

Here is the call graph for this function:

The documentation for this struct was generated from the following file:

- tests/vendor/catch_amalgamated.hpp